Skip to main content
GET
/
v1
/
crm
/
transactions
/
batches
/
{transactionBatchId}
Get a Transaction Batch
curl --request GET \
  --url https://api.example.com/v1/crm/transactions/batches/{transactionBatchId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "netAmount": 123,
  "mid": "<string>",
  "terminalId": "<string>",
  "batchNumber": "<string>",
  "referenceNumber": "<string>",
  "batchDate": "<string>",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientPath": "<string>",
  "createdAt": "<string>",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "<string>",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "openedAt": "<string>",
  "closedAt": "<string>",
  "settledAt": "<string>"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

transactionBatchId
string
required

Response

The transaction batch record corresponding to the primary identifier.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
host
enum<string>
required
Available options:
tsys,
fiserv
status
enum<string>
required
Available options:
open,
closed,
settled,
rejected
netAmount
number
required
mid
string
required
terminalId
string
required
batchNumber
string
required
referenceNumber
string
required
batchDate
string
required
clientId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
clientPath
string
required
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
openedAt
string | null
closedAt
string | null
settledAt
string | null